List articles
curl --request POST \
--url https://back.leap.onclarity.com/api/kb/articles/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filter": {},
"sort": {
"key": "<string>",
"direction": "asc",
"start_from": "<string>"
},
"group_by_collection": false,
"query": "<string>",
"limit": 1000,
"retrieved_ids": [
123
]
}
'import requests
url = "https://back.leap.onclarity.com/api/kb/articles/list"
payload = {
"filter": {},
"sort": {
"key": "<string>",
"direction": "asc",
"start_from": "<string>"
},
"group_by_collection": False,
"query": "<string>",
"limit": 1000,
"retrieved_ids": [123]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filter: {},
sort: {key: '<string>', direction: 'asc', start_from: '<string>'},
group_by_collection: false,
query: '<string>',
limit: 1000,
retrieved_ids: [123]
})
};
fetch('https://back.leap.onclarity.com/api/kb/articles/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"list": [
{}
],
"total": 123
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}Knowledge base
List articles
POST
/
api
/
kb
/
articles
/
list
List articles
curl --request POST \
--url https://back.leap.onclarity.com/api/kb/articles/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filter": {},
"sort": {
"key": "<string>",
"direction": "asc",
"start_from": "<string>"
},
"group_by_collection": false,
"query": "<string>",
"limit": 1000,
"retrieved_ids": [
123
]
}
'import requests
url = "https://back.leap.onclarity.com/api/kb/articles/list"
payload = {
"filter": {},
"sort": {
"key": "<string>",
"direction": "asc",
"start_from": "<string>"
},
"group_by_collection": False,
"query": "<string>",
"limit": 1000,
"retrieved_ids": [123]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filter: {},
sort: {key: '<string>', direction: 'asc', start_from: '<string>'},
group_by_collection: false,
query: '<string>',
limit: 1000,
retrieved_ids: [123]
})
};
fetch('https://back.leap.onclarity.com/api/kb/articles/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"list": [
{}
],
"total": 123
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}Authorizations
Your organization API key (it starts with anek_org_). The same key works on the Voice API and the Support API. See Authentication.
Body
application/json